Subject: Re: linux-next: mfd tree build failure

From: Samuel Ortiz <[email-masked]>
Date: Mon, 23 Nov 2009 13:29:04 +0100

Hi Stephen,

On Mon, Nov 23, 2009 at 03:03:46PM +1100, Stephen Rothwell wrote:
> Hi Samuel,
> 
> On Mon, 23 Nov 2009 14:41:03 +1100 Stephen Rothwell <[email-masked]> wrote:
> >
> > Today's linux-next build (x86_64 allmodconfig) failed like this:
> > 
> > ERROR: "irq_to_desc" [drivers/mfd/wm831x.ko] undefined!
> > ERROR: "handle_edge_irq" [drivers/mfd/wm831x.ko] undefined!
> > ERROR: "set_irq_chip_and_handler" [drivers/mfd/wm831x.ko] undefined!
> > ERROR: "set_irq_noprobe" [drivers/mfd/wm831x.ko] undefined!
> > 
> > Probably caused by commit 8fc686c7369173519817f0cfbb2df9a3671d5b8d ("mfd:
> > Move WM831x to generic IRQ").  Maybe a Kconfig dependency is missing?
> 
> It actually looks as though set_irq_chip_and_handler (at least) is not
> exported to modules.
True. Mark, I think we should get those symbols exported, unless you have a
better idea ? Having wm831x as a boolean choice from Kconfig doesnt sound too
god to me.

Cheers,
Samuel.

> -- 
> Cheers,
> Stephen Rothwell                    [email-masked]
> http://www.canb.auug.org.au/~sfr/

-- 
Intel Open Source Technology Centre
http://oss.intel.com/